Creates a new territory

Request Information

URI Parameters :

None.

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "807d9a5d-6e49-400e-b35a-d83f95603678",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "27fd80ba-d60d-4722-9e9b-0b2363132f66",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "bf02979a-2136-425c-af6a-dd4dd6413583",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "f6ca3e6b-e10c-423a-9b7e-f269455d7952",
    "db_currency_id": "5e675918-58a6-469d-bb44-83b71c5f4f56",
    "db_language_id": "a2a631ca-5635-40c1-a1df-cfe06cf69f1b",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-25T00:57:26.8612784+00:00"
  },
  "modified_dateutc": "2026-05-25T00:57:26.8612784+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.